package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingOcupaAntecipaPoltronasVO;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingOcupaAntecipaVO;

public class RenderPricingOcupacao implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		
		GP_PricingOcupaAntecipaVO ocupacao = (GP_PricingOcupaAntecipaVO) o;
		
		boolean isFirstLine = ocupacao.getDiaMin().equals(ocupacao.getAntecipacao());
		
		Listcell lc = new Listcell(isFirstLine ? ocupacao.getDias() : "");
        lc.setParent(lstm);
        lc.setSpan(3);
        
        lc = new Listcell(ocupacao.getAuxDesc());
        lc.setParent(lstm);
        lc.setSpan(4);
        
        for (GP_PricingOcupaAntecipaPoltronasVO poltrona: ocupacao.getPoltronas()) {
        	lc = new Listcell("");
        		
        	String style = "background-color: " + poltrona.getCor();
        	lc.setStyle(style);
        	
        	if(poltrona.isAdicionar()) {
        		lc.setId(poltrona.getPricingocupaantecipaId() + "-" + ocupacao.getAntecipacao() + "-" + poltrona.getPoltrona());
        		lc.addForward("onDoubleClick", lstm.getParent(), "onDoubleClick");
        	}
        	
        	lc.setParent(lstm);
		}

        lstm.setAttribute("data", ocupacao);
		
	}

}
